package com.goafanti.expenseAccount.service;

import com.goafanti.expenseAccount.bo.*;

import java.util.List;

public interface ExpenseAccountService {

    Integer add(InputExpenseAccount in);

    int update(InputExpenseAccount in);

    int addDetails(InputExpenseAccountDetails in);

    int deleteDetails(Integer id);

    List<OutExpenseAccountDetails> detailsList(Integer eaid);

    Object logList(Integer eaid);


    int updateExamine(InputExpenseAccount in);

    Object pageList(InputPageListBo in);

    Object selectByPrid(InputExpenseAccount in);

    Object selectById(Integer id);

    Object updateType(InputExpenseAccount in);

    List<OutExpenseAccount> selectDebitOrder(String depId,Integer id);

    List<OutExpenseAccountStatistics> statistics(String name,String depId,String startTime,String endTime);


    void statisticsEvict(String name, String depId, String startTime, String endTime);
}
